import {
  DropdownMenu,
  DropdownMenuContent,
  DropdownMenuItem,
  DropdownMenuLabel,
  DropdownMenuSeparator,
  DropdownMenuTrigger,
} from "~/components/ui/dropdown-menu";
import { Input } from "~/components/ui/input";

export default function Filtermenu() {
  return (
    <div className="container flex justify-center gap-4 py-4">
      {/* TODO:
        Checkboxes instead of menuitems. Check boxes are added as badges under the search bar */}
      <DropdownMenu>
        <DropdownMenuTrigger>Type</DropdownMenuTrigger>
        <DropdownMenuContent>
          <DropdownMenuItem>Sparkling</DropdownMenuItem>
          <DropdownMenuItem>White</DropdownMenuItem>
          <DropdownMenuItem>Red</DropdownMenuItem>
          <DropdownMenuItem>Sweet</DropdownMenuItem>
          <DropdownMenuItem>Fortified</DropdownMenuItem>
        </DropdownMenuContent>
      </DropdownMenu>
      {/* Producer filter */}
      <DropdownMenu>
        <DropdownMenuTrigger>Producer</DropdownMenuTrigger>
        <DropdownMenuContent>
          {/* For each producer have DropdownMenuItem. */}
          <Input name="searchString" placeholder="search for producer" />
          <DropdownMenuSeparator />
          <DropdownMenuItem>Store Henning</DropdownMenuItem>
        </DropdownMenuContent>
      </DropdownMenu>
      {/* Country filter */}
      <DropdownMenu>
        <DropdownMenuTrigger>Country</DropdownMenuTrigger>
        <DropdownMenuContent>
          {/* For each Country have DropdownMenuItem. */}
          <DropdownMenuItem>France</DropdownMenuItem>
        </DropdownMenuContent>
      </DropdownMenu>
      {/* Region filter */}
      <DropdownMenu>
        <DropdownMenuTrigger>Region</DropdownMenuTrigger>
        <DropdownMenuContent>
          {/* For each Region have DropdownMenuItem. Check for country filter */}
          <Input name="searchString" placeholder="search for region" />
          <DropdownMenuSeparator />
          <DropdownMenuItem>Bourgogne</DropdownMenuItem>
        </DropdownMenuContent>
      </DropdownMenu>
    </div>
  );
}
